您现在的位置: 主页 > QQ黑客资讯 > 漏洞中心 > 文章内容

Linux kernel tipc_msg_build函数堆缓冲区溢出漏洞

作者: 黑客基地 来源:QQ聊天记录删除 时间: 2016-12-25 阅读:
受影响系统:
Linux kernel < 4.8.7
描述:
--------------------------------------------------------------------------------
BUGTRAQ ID: 94211
CVE(CAN) ID: CVE-2016-8632
Linux Kernel是Linux操作系统的内核。
 
Linux kernel 4.8.11之前版本,net/tipc/msg.c/tipc_msg_build函数未验证最小片段长度及最大数据包大小的关系,可使远程攻击者获取提升的权限或造成拒绝服务。
 
<*来源:Qian Zhang
*>
 
建议:
--------------------------------------------------------------------------------
厂商补丁:
 
Linux
-----
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
 
https://bugzilla.redhat.com/show_bug.cgi?id=1390832